Rated 5 out of 5 stars

Hello Sir, Your app is really useful and great. But it is not supported in FIREFOX QUANTUM.
Sir, kindly update your extension so that we can use it in FIREFOX QUANTUM.

Really it will be helpful for us. Thank You sir. WAITING for your reply and EXTENSION UPDATE.

This review is for a previous version of the add-on (1.29). 

Sorry, can't do. Quantum is equal to Google's Chrome, which means extensions are limited to such pathetic level, that it's no more powerful than a userscript.

Rated 1 out of 5 stars

Not compatible with Firefox Quantum. Need to update it.

This review is for a previous version of the add-on (1.29). 

Can't do. Quantum doesn't give enough freedom for developers in what they can do.

Rated 5 out of 5 stars

Many thanks for this well-thought-out extension. Works just fine on Pale Moon.

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

cuando sera compatible con firefox final?

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

Melhor aplicativo.

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

Stop complaining about Firefox 57 people. IT'S IMPOSSIBLE FOR THE DEVELOPER TO MAKE IT WORK WITH FIREFOX 57, because of Mozilla's decisions.

This review is for a previous version of the add-on (1.29).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

57不能用了,开发者也不更新了,默哀,firefox no zuo no die,byebye

This review is for a previous version of the add-on (1.29).  This user has a previous review of this add-on.

Rated 5 out of 5 stars

Отличное расширение, сделайте работу для Firefox Quantum

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

I need this!!!!!!! I can't live without it!!! It has kept me safe until today and I'm so sad right now. :(

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

Excellent performed its functions. The only application that allows you to set a password for opening a Firefox browser.
Please make faster support for version 57.0 of Firefox Quantum

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

I'M PISSED! It disturbs me to no end that the Mozilla team thinks that front end password protection is somehow not needed!
In this day and age we are all supposed to know that "security" is the watchword of the day. Frankly who doesn't step away from their computer, leaving it unattended on occasion!? I don't want my co-worker or my boss starting up Firefox to know ANYTHING while I'm out of the room warming up my coffee!
It is not simply a matter of whether they can access my bank account! They can't. THAT'S not the point!

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

The best addon there ever was , i am truly sad about you no longer being able to work on quantum but i am going to stick to firefox 56 to make this addon keep working

This review is for a previous version of the add-on (1.29). 

Try Waterfox or Palemoon then.

Rated 5 out of 5 stars

This addon is good for all my tasks

This review is for a previous version of the add-on (1.29). 

Rated 5 out of 5 stars

Thanks.

This review is for a previous version of the add-on (1.28.2). 

Try Waterfox or Palemoon then.

Rated 5 out of 5 stars

Here the documentation:

— http://developer.palemoon.org/Add-ons:Extensions/Jetpack
— http://developer.palemoon.org/Add-ons:Site
— https://addons.palemoon.org/incompatible/

This review is for a previous version of the add-on (1.28.2). 

Rated 5 out of 5 stars

For anyone that cannot use this addons on firefox 57, change your browser to firefox ESR and you still continue using this wonderful addons.

This review is for a previous version of the add-on (1.28.2). 

Or Waterfox or Palemoon

Rated 3 out of 5 stars

Please, need be compatible with version 57

This review is for a previous version of the add-on (1.25). 

FF56 will be the last version this addon compatible with, because mozilla is killing all extensions that require XUL.
https://blog.mozilla.org/addons/2016/11/23/add-ons-in-2017/comment-page-1/
For now MP+ still runs fine in FF57 (you need adjust max version in install.rdf and disable xpinstall.signatures.required in about:config), but it will most probably change in the future and nothing I can do about it.

[EDIT]
It's no longer compatible with FF57 and never will, give all the thanks to mozilla for that.

Rated 5 out of 5 stars

Все работает как надо.
Пишу для тех у кого не ставится мастер-пароль (не происходит никаких действий при нажатии на кнопку ОК)
Сперва нужно поставить мастер-пароль, а потом устанавливать Master Password+. Если уже дополнение установлено, то отключаете его, перезапускаете браузер, ставите мастер-пароль в "настройки-защита", а потом включаете Master Password+. после перезапуска мозиллы появится окно для ввода пароля. Это работает и на x32 и на x64 версиях мозиллы.

This review is for a previous version of the add-on (1.23). 

Rated 5 out of 5 stars

Отличное дополнение для запароливания браузера. Столкнулся с проблемой что описана ниже - При попытке ввести новый пароль в программу и нажатии кнопки "OK" ничего не происходит. Решение - установил фаерфокс 51 версии х64 (на ней все заработало и я успешно ввел пароль), затем обновился до последней.
Пробовал ставить последнюю версию х32, но это не помогало. Так что решение найдено и спасибо разрабу!

This review is for a previous version of the add-on (1.23). 

Rated 3 out of 5 stars

Ferfick-Sempurna brosing

This review is for a previous version of the add-on (1.23).